﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace xml2xlsx
{
    class AppArguments
    {
        public AppArguments()
        {
            XmlFile = String.Empty;
            RootElement = String.Empty;
            NumberElements = null;
            IgnoreElements = null;
            ElementsInSheet = 0;
            AddTimeStamp = false;
            Verbose = false;
            Url = String.Empty;
            NoProxy = false;
            Username = String.Empty;
            Password = String.Empty;
        }

        public string XmlFile { get; set; }
        public string RootElement { get; set; }
        public List<string> NumberElements { get; set; }
        public List<string> IgnoreElements { get; set; }
        public int ElementsInSheet { get; set; }
        public bool AddTimeStamp { get; set; }
        public bool Verbose { get; set; }
        public string Url { get; set; }
        public bool NoProxy { get; set; }
        public string Username { get; set; }
        public string Password { get; set; }
    }
}
